<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<body class="hold-transition skin-green sidebar-mini">
<div class="wrapper">

  <?php include 'includes/navbar.php'; ?>
  <?php include 'includes/menubar.php'; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Users List
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li>Users</li>
        <li class="active">Users List</li>
      </ol>
    </section>
    <!-- Main content -->
    <section class="content">
      <?php
        if(isset($_SESSION['error'])){
          echo "
            <div class='alert alert-danger alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-warning'></i> Error!</h4>
              ".$_SESSION['error']."
            </div>
          ";
          unset($_SESSION['error']);
        }
        if(isset($_SESSION['success'])){
          echo "
            <div class='alert alert-success alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-check'></i> Success!</h4>
              ".$_SESSION['success']."
            </div>
          ";
          unset($_SESSION['success']);
        }
      ?>
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-solid">
            <div class="box-header header-custom">
                <h5 class="box-title"><i class="fa fa-list"></i> List</h5>
               <div class="box-tools pull-right">
               <a href="#addnew" data-toggle="modal" class="btn btn-inline btn-custom btn-md"><i class="fa fa-plus"></i> Add New</a>
            </div>
            </div>
            <div class="box-body">
<div class="table-responsive">
              <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                <thead>
                  <th>#</th>
                  <th>Username</th>
               
                  <th>Display Name</th>
                  <th>User Group</th>
                    <th>Status</th>      
                  <th>Created On</th>
                  <th>Tools</th>
                </thead>
                <tbody>
                  <?php
$i=1;
                    $sql = "SELECT *, u.id as user_id, u.status as user_status FROM users u,user_groups ug WHERE u.user_group_id=ug.id";

                    $query = $conn->query($sql);

                    while($row = $query->fetch_assoc()){
                      ?>
                        <tr>
                          <td><?php echo $i; ?></td>
                          <td><?php echo $row['username']; ?></td>
                          
                        
                          <td><?php echo $row['full_name']; ?></td>
                          <td><?php echo $row['group_name']; ?></td>
                             <td>
                          
                          <?php if($row['user_status']=='1') $color="label-success"; else $color="label-warning";  ?>


  <span class="label <?php echo $color; ?>" style="cursor:pointer"><?php if ($row['status']=='1') echo 'Active'; else echo 'Disabled'; ?></span>
                          
                          </td>
                          
                          <td><?php echo date('M d, Y', strtotime($row['created_on'])) ?></td>
                          <td>
                            <button class="btn btn-success btn-xs edit " data-id="<?php echo $row['user_id']; ?>" title="Edit" data-placement="top" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-edit"></i> </button>
                            <button class="btn btn-danger btn-xs delete " data-id="<?php echo $row['user_id']; ?>" title="Delete" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i> </button>
                          </td>
                        </tr>
                      <?php
                         $i++;
                    }
                  ?>
                </tbody>
              </table>
            </div>
    </div>
          </div>
        </div>
      </div>
    </section>   
  </div>
    
  <?php include 'includes/footer.php'; ?>
  <?php include 'includes/users_modal.php'; ?>
</div>
<?php include 'includes/scripts.php'; ?>
<script>

$('#example1 tbody').on('click', '.edit', function (){
     $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.delete', function (){
     $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.photo', function (){
      
    var id = $(this).data('id');
    getRow(id);
});


function getRow(id){
  $.ajax({
    type: 'POST',
    url: 'users_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      $('.userid').val(response.user_id);
      $('.user_id').html(response.user_id);
      $('.del_username').html(response.username);
      $('.username').html(response.username);

      $('#edit_username').val(response.username);
      $('#edit_password').val(response.password);
      $('#edit_full_name').val(response.full_name);
    
      
      $('#edit_user_group option').each(function () {
if ($(this).val() == response.user_group_id) {
    this.selected = true;
    return;
} });
      
            $('#edit_status option').each(function () {
if ($(this).val() == response.status) {
    this.selected = true;
    return;
} });
  





    }
  });
}
</script>
</body>
</html>
